> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inventory

> Get shared tipping wallet NFT inventory on a given chain



## OpenAPI

````yaml GET /v1/community/tipping/wallets/{chain}/inventory
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/tipping/wallets/{chain}/inventory:
    get:
      description: Get shared tipping wallet NFT inventory on a given chain
      parameters:
        - in: header
          name: x-api-key
          description: Your community API key
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: chain
          description: Supported blockchain key
          required: true
          schema:
            type: string
            enum:
              - Abstract
              - ApeChain
              - Arbitrum
              - Atto
              - Avalanche
              - Base
              - Berachain
              - Blast
              - BSC
              - CosmosHub
              - Cronos
              - Ethereum
              - Harmony
              - HyperCore
              - HyperEvm
              - Initia
              - Injective
              - Linea
              - Mitosis
              - Nano
              - Nibiru
              - Optimism
              - Osmosis
              - Pepecoin
              - Plasma
              - Polygon
              - Robinhood
              - SEDA
              - Sei
              - SeiEvm
              - Solana
              - Somnia
              - Sonic
              - Terra
              - Unichain
              - Yominet
      responses:
        '200':
          description: NFT inventory has been retrieved
          content:
            application/json:
              schema:
                example:
                  walletAddress: '0x254075bb012e4afb1787e98cd082ce6abd1ad01b'
                  nfts:
                    - chain: Polygon
                      contractAddress: '0xb609996e8f1754e63ef08300406c6d7529bb4007'
                      tokenId: '14644'
                      name: Rekt Chickens (#14644)
                      imageUrl: >-
                        https://i2.seadn.io/polygon/0xb609996e8f1754e63ef08300406c6d7529bb4007/fe21ad4bd257742c508b718db83a81/29fe21ad4bd257742c508b718db83a81.webp?w=1000
                      amount: 1
                type: object
                properties:
                  walletAddress:
                    description: Address of your shared tipping wallet.
                    type: string
                  nfts:
                    description: List of NFTs stored in your shared tipping wallet.
                    type: array
                    items:
                      type: object
                      properties:
                        chain:
                          $ref: '#/components/schemas/__schema13'
                        contractAddress:
                          description: NFT contract address (null for Solana NFTs).
                          anyOf:
                            - type: string
                            - type: 'null'
                        tokenId:
                          description: >-
                            Identifier of the NFT within its collection. Mint
                            address on Solana.
                          type: string
                        name:
                          description: Display name of the NFT.
                          type: string
                        imageUrl:
                          description: Link to NFT media content.
                          anyOf:
                            - type: string
                            - type: 'null'
                        amount:
                          description: Wallet balance of the NFT.
                          type: number
                        isSpam:
                          description: Indicates if the NFT is flagged as potential spam.
                          anyOf:
                            - type: boolean
                            - type: 'null'
                      required:
                        - chain
                        - tokenId
                        - name
                        - amount
                      additionalProperties: false
                required:
                  - walletAddress
                  - nfts
                additionalProperties: false
components:
  schemas:
    __schema13:
      description: Unique chain identifier in Flipsuite
      type: string
      enum:
        - Abstract
        - ApeChain
        - Arbitrum
        - Atto
        - Avalanche
        - Base
        - Berachain
        - Blast
        - BSC
        - CosmosHub
        - Cronos
        - Ethereum
        - Harmony
        - HyperCore
        - HyperEvm
        - Initia
        - Injective
        - Intergaze
        - Linea
        - Mitosis
        - Nano
        - Nibiru
        - Optimism
        - Osmosis
        - Pepecoin
        - Plasma
        - Polygon
        - Robinhood
        - SEDA
        - Sei
        - SeiEvm
        - Solana
        - Somnia
        - Sonic
        - Stargaze
        - Terra
        - Unichain
        - Yominet
        - Zaar
        - zkCronos

````